[PATCH 4/4] test: fix test failure when no /usr/sbin/dtrace exists

Nick Alcock <[email protected]>
Newsgroups dev.linux.lists.dtrace
Message-ID <[email protected]>
A missing $ led to this test spuriously failing in this case.

Signed-off-by: Nick Alcock <[email protected]>
---
 test/unittest/usdt/tst.exec-dof-replacement.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/test/unittest/usdt/tst.exec-dof-replacement.sh b/test/unittest/usdt/tst.exec-dof-replacement.sh
index b7ec5f2dc5e92..81833cc8b77f8 100755
--- a/test/unittest/usdt/tst.exec-dof-replacement.sh
+++ b/test/unittest/usdt/tst.exec-dof-replacement.sh
@@ -33,7 +33,7 @@ provider test_prov {
 };
 EOF
 
-if ! { $dtrace $dt_flags -h -s prov1.d && dtrace -h -s prov2.d; } then
+if ! { $dtrace $dt_flags -h -s prov1.d && $dtrace -h -s prov2.d; } then
 	echo "failed to generate header files" >&2
 	exit 1
 fi
-- 
2.48.1.283.g18c60a128c
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.